state = mainmenu
mode = "Easy"
highscoremenu = false
controlsmenu = false

function love.load()

	grid = love.graphics.newImage("grid.png")
	red = love.math.random(100,255)
	green = love.math.random(100,255)
	blue = love.math.random(100,255)
	Font = love.graphics.newFont("CalibriL.ttf", 20)
	FontTitle = love.graphics.newFont("CalibriL.ttf", 48)
	
end

function love.update()


	
end

function love.mousepressed()

	if state == mainmenu then
		if love.mouse.isDown("l") then
			local x, y = love.mouse.getPosition()
			if x >= 50 and x <= 100 and y >= 125 and y <= 150 then -- Start Button Position
			
			end
			if x >= 50 and x <= 175 and y >= 151 and y <= 175 then -- Difficulty Button Position
				if mode == "Easy" then
					mode = "Medium"
				elseif mode == "Medium" then
					mode = "Hard"
				elseif mode == "Hard" then
					mode = "Easy"
				end
			end
			if x >= 50 and x <= 125 and y >= 176 and y <= 200 then -- Controls Button Position
				if controlsmenu == false then
					controlsmenu = true
					highscoremenu = false
				elseif controlsmenu == true then
					controlsmenu = false		
				end
			end
			if x >= 50 and x <= 150 and y >= 201 and y <= 225 then -- High Scores Button Position Open
				if highscoremenu == false then
					highscoremenu = true
					controlsmenu = false
				elseif highscoremenu == true then
					highscoremenu = false
				end
			end
			if x >= 50 and x <= 100 and y >= 226 and y <= 250 then -- Quit Button Position
				love.event.quit()
			end
			if x >= 675 and x <= 750 and y >= 525 and y <= 550 then -- by Fisker Button Position
				red = love.math.random(100,255)
				green = love.math.random(100,255)
				blue = love.math.random(100,255)
			end
		end
	end

end

function love.draw()

	love.graphics.setBackgroundColor(red, green, blue)
	love.graphics.draw(grid, 0, 0)
	
	if state == mainmenu then
		love.graphics.setColor(255, 255, 255)
		love.graphics.setFont(FontTitle)
		love.graphics.print("Snake", 50, 50)
		love.graphics.setFont(Font)
		love.graphics.print("Start", 50, 125)
		love.graphics.print("Difficulty:", 50, 150)
		love.graphics.print(mode, 135, 150)
		love.graphics.print("Controls", 50, 175)
		love.graphics.print("High Scores", 50, 200)		
		love.graphics.print("Quit", 50, 225)
		love.graphics.print("by Fisker", 675, 525)
	end
	
	if highscoremenu == true then
		love.graphics.print("High Score menu is open", 200, 75)
	end
	
	if controlsmenu == true then
		love.graphics.print("Controls menu is open", 200, 75)
	end
	
end